Summary: A PHP-based CMS/Groupware web application with a full Wiki environment
Name:    tikiwiki
Version: 1.9.10.1
Release: %mkrel 1
License: LGPL
URL: http://www.tikiwiki.org
Requires: php-mysql 
Group: System/Servers
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /var/www/html
BuildArch: noarch

%description
TikiWiki is an open source CMS/Groupware web application which provides
a full Wiki environment, as well as Articles, Sections/Categories,
User/Group Management (including optional LDAP), Polls and Quizzes,
File and Image Galleries, Forums, Weblogs, Calendars, Chat, Maps
and much more.
NOTE: Point your browser to
http://localhost/%{name}-%{version}/tiki-install.php
to complete the installation/upgrade.

%prep
%setup -q
# (blino) do not chown/chgrp files
perl -pi -e 's/^(\s*)(ch(?:own|grp|mod))/$1: # $2/g' setup.sh

%build

%install
rm -rf $RPM_BUILD_ROOT
# find . -name "*.php" -exec chmod 644 {} \;
# find . -name "*.sql" -exec chmod 644 {} \;
# (blino) 1st and 2nd argument are dummy because chown/chgrp are disabled
./setup.sh - -
# Remove unneeded files
rm -rf templates_c/*
rm -f modules/cache/*.cache
find . -name "CVS" -type d -print|xargs rm -rf
find . -name ".cvsignore" -exec rm -f {} \;
mkdir -p $RPM_BUILD_ROOT/%{prefix}
cp -rp ../%{name}-%{version} $RPM_BUILD_ROOT/%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
# Remove unneeded files
rm -rf templates_c/*
rm -f modules/cache/*.cache

%files
%defattr(0664,apache,apache,2775)
%doc %attr(0644,root,root) INSTALL README
%dir %{prefix}/%{name}-%{version}
%config(noreplace) %{prefix}/%{name}-%{version}/db/tiki-db.php/
%{prefix}/%{name}-%{version}/*


%changelog
* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 1.9.10.1-1mdv2008.1
+ Revision: 177775
- 1.9.10.1
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 1.9.8.3-1mdv2008.1
+ Revision: 102874
- update to new version 1.9.8.3

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.9.7-2mdv2008.0
+ Revision: 90337
- rebuild

* Thu Sep 06 2007 Funda Wang <fundawang@mandriva.org> 1.9.7-1mdv2008.0
+ Revision: 80553
- New version 1.9.7
- Import tikiwiki



* Tue Nov 01 2005 Michael Scherer <misc@mandriva.org> 1.9.2-1mdk
- New release 1.9.2

* Wed Oct 26 2005 Michael Scherer <misc@mandriva.org> 1.9.1.1-1mdk
- New release 1.9.1.1, as reported by Franck Martin ( security fix )
- mkrel
- rpmbuildupdatable

* Mon Sep 12 2005 Franck Martin <franck@sopac.org> 1.9.1-1mdk
- security fix release

* Thu Jul 21 2005 Franck Martin <franck@sopac.org> 1.9.0-1mdk
- new release

* Tue Apr 13 2004 Olivier Blin <blino@mandrake.org> 1.8.2-1mdk
- fix rights on files
- new release

* Wed Mar 03 2004 Franck Martin <franck@sopac.org> 1.8-1mdk
- First Mandrake release
- From Olivier Blin <blino@mandrake.org> :
  - own dir
  - fix setup.sh not to chown/chgrp files
  - replace Copyright tag by License tag
  - use System/Servers group
